diff options
author | obscuren <geffobscura@gmail.com> | 2014-10-14 21:31:25 +0800 |
---|---|---|
committer | obscuren <geffobscura@gmail.com> | 2014-10-14 21:31:25 +0800 |
commit | 7ca7938d8e4a63b4bd244ee46856ec657d63a374 (patch) | |
tree | 36f3bf977efb33ef7fa162e30f019daa54dcdea0 | |
parent | f55e39cf1ae138f7698d8dce3aeee5eaa3f87a7d (diff) | |
download | dexon-7ca7938d8e4a63b4bd244ee46856ec657d63a374.tar.gz dexon-7ca7938d8e4a63b4bd244ee46856ec657d63a374.tar.zst dexon-7ca7938d8e4a63b4bd244ee46856ec657d63a374.zip |
Removed old installer script
-rw-r--r-- | ethvm/vm_test.go | 7 | ||||
-rwxr-xr-x | install.sh | 57 |
2 files changed, 3 insertions, 61 deletions
diff --git a/ethvm/vm_test.go b/ethvm/vm_test.go index cf4e2e5e7..c21008836 100644 --- a/ethvm/vm_test.go +++ b/ethvm/vm_test.go @@ -64,7 +64,7 @@ func TestDebugVm(t *testing.T) { } if ret[len(ret)-1] != 9 { - t.Errorf("Expected VM to return 1, got", ret, "instead.") + t.Errorf("Expected VM to return 9, got", ret, "instead.") } } @@ -76,7 +76,7 @@ func TestVm(t *testing.T) { } if ret[len(ret)-1] != 9 { - t.Errorf("Expected VM to return 1, got", ret, "instead.") + t.Errorf("Expected VM to return 9, got", ret, "instead.") } } @@ -106,8 +106,7 @@ func RunCode(mutCode string, typ Type) []byte { log.Fatal(err) } - // Pipe output to /dev/null - ethlog.AddLogSystem(ethlog.NewStdLogSystem(os.Stdout, log.LstdFlags, ethlog.LogLevel(4))) + ethlog.AddLogSystem(ethlog.NewStdLogSystem(os.Stdout, log.LstdFlags, ethlog.LogLevel(3))) ethutil.ReadConfig(".ethtest", "/tmp/ethtest", "") diff --git a/install.sh b/install.sh deleted file mode 100755 index 9719a1afc..000000000 --- a/install.sh +++ /dev/null @@ -1,57 +0,0 @@ -#!/bin/sh - -if [ "$1" == "" ]; then - echo "Usage $0 executable branch ethereum develop" - echo "executable ethereum or ethereal" - echo "branch develop or master" - exit -fi - -exe=$1 -branch=$2 - -# Test if go is installed -command -v go >/dev/null 2>&1 || { echo >&2 "Unable to find 'go'. This script requires go."; exit 1; } - -# Test if $GOPATH is set -if [ "$GOPATH" == "" ]; then - echo "\$GOPATH not set" - exit -fi - -echo "go get -u -d github.com/ethereum/go-ethereum/$exe" -go get -v -u -d github.com/ethereum/go-ethereum/$exe -if [ $? != 0 ]; then - echo "go get failed" - exit -fi - -echo "serpent-go" -cd $GOPATH/src/github.com/obscuren/serpent-go - -echo "init submodule" -git submodule init -git submodule update - -echo "eth-go" -cd $GOPATH/src/github.com/ethereum/eth-go -git checkout $branch - -echo "go-ethereum" -cd $GOPATH/src/github.com/ethereum/go-ethereum/$exe -git checkout $branch - -if [ "$exe" == "ethereal" ]; then - echo "Building ethereal GUI. Assuming Qt is installed. If this step" - echo "fails; please refer to: https://github.com/ethereum/go-ethereum/wiki/Building-Ethereum(Go)" -else - echo "Building ethereum CLI." -fi - -go install -if [ $? == 0 ]; then - echo "go install failed" - exit -fi - -echo "done. Please run $exe :-)" |